'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = ":root {\n  --primary-color: rgba(107, 144, 128, 1);\n  --secondary-color: rgba(234, 244, 244, 1);\n  --border-radius: 5px;\n  --padding-base: 1rem;\n  --margin-base: 1rem;\n}\n\n* {\n  box-sizing: border-box;\n  margin: 0;\n  padding: 0;\n}\n\n.display-flex {\n  display: flex;\n}\n\n.flex-start-start {\n  display: flex;\n  justify-content: flex-start;\n  align-items: flex-start;\n}\n\n.flex-center-start {\n  display: flex;\n  justify-content: center;\n  align-items: flex-start;\n}\n\n.flex-end-start {\n  display: flex;\n  justify-content: flex-end;\n  align-items: flex-start;\n}\n\n.flex-between-start {\n  display: flex;\n  justify-content: space-between;\n  align-items: flex-start;\n}\n\n.flex-start-center {\n  display: flex;\n  justify-content: flex-start;\n  align-items: center;\n}\n\n.flex-center-center {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n\n.flex-end-center {\n  display: flex;\n  justify-content: flex-end;\n  align-items: center;\n}\n\n.flex-between-center {\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n}\n\n.flex-start-end {\n  display: flex;\n  justify-content: flex-start;\n  align-items: flex-end;\n}\n\n.flex-center-end {\n  display: flex;\n  justify-content: center;\n  align-items: flex-end;\n}\n\n.flex-end-end {\n  display: flex;\n  justify-content: flex-end;\n  align-items: flex-end;\n}\n\n.flex-between-end {\n  display: flex;\n  justify-content: space-between;\n  align-items: flex-end;\n}\n\n.flex-start-between {\n  display: flex;\n  justify-content: flex-start;\n  align-items: space-between;\n}\n\n.flex-center-between {\n  display: flex;\n  justify-content: center;\n  align-items: space-between;\n}\n\n.flex-end-between {\n  display: flex;\n  justify-content: flex-end;\n  align-items: space-between;\n}\n\n.flex-between-between {\n  display: flex;\n  justify-content: space-between;\n  align-items: space-between;\n}\n\n.flex-grow-1 {\n  flex-grow: 1;\n}\n\n.flex-gap-1 {\n  gap: 1rem;\n}\n\n.flex-gap-01 {\n  gap: calc(1/ 2) rem;\n}\n\n.flex-grow-2 {\n  flex-grow: 2;\n}\n\n.flex-gap-2 {\n  gap: 2rem;\n}\n\n.flex-gap-02 {\n  gap: calc(2/ 2) rem;\n}\n\n.flex-grow-3 {\n  flex-grow: 3;\n}\n\n.flex-gap-3 {\n  gap: 3rem;\n}\n\n.flex-gap-03 {\n  gap: calc(3/ 2) rem;\n}\n\n.flex-grow-4 {\n  flex-grow: 4;\n}\n\n.flex-gap-4 {\n  gap: 4rem;\n}\n\n.flex-gap-04 {\n  gap: calc(4/ 2) rem;\n}\n\n.flex-grow-5 {\n  flex-grow: 5;\n}\n\n.flex-gap-5 {\n  gap: 5rem;\n}\n\n.flex-gap-05 {\n  gap: calc(5/ 2) rem;\n}\n\n.flex-grow-6 {\n  flex-grow: 6;\n}\n\n.flex-gap-6 {\n  gap: 6rem;\n}\n\n.flex-gap-06 {\n  gap: calc(6/ 2) rem;\n}\n\n.grid-col-1 {\n  display: grid;\n  grid-template-columns: repeat(1, 1fr);\n}\n\n.grid-row-1 {\n  display: grid;\n  grid-template-rows: repeat(1, 1fr);\n}\n\n.col-span-1 {\n  grid-column: span 1;\n}\n\n.row-span-1 {\n  grid-row: span 1;\n}\n\n.grid-col-2 {\n  display: grid;\n  grid-template-columns: repeat(2, 1fr);\n}\n\n.grid-row-2 {\n  display: grid;\n  grid-template-rows: repeat(2, 1fr);\n}\n\n.col-span-2 {\n  grid-column: span 2;\n}\n\n.row-span-2 {\n  grid-row: span 2;\n}\n\n.grid-col-3 {\n  display: grid;\n  grid-template-columns: repeat(3, 1fr);\n}\n\n.grid-row-3 {\n  display: grid;\n  grid-template-rows: repeat(3, 1fr);\n}\n\n.col-span-3 {\n  grid-column: span 3;\n}\n\n.row-span-3 {\n  grid-row: span 3;\n}\n\n.grid-col-4 {\n  display: grid;\n  grid-template-columns: repeat(4, 1fr);\n}\n\n.grid-row-4 {\n  display: grid;\n  grid-template-rows: repeat(4, 1fr);\n}\n\n.col-span-4 {\n  grid-column: span 4;\n}\n\n.row-span-4 {\n  grid-row: span 4;\n}\n\n.grid-col-5 {\n  display: grid;\n  grid-template-columns: repeat(5, 1fr);\n}\n\n.grid-row-5 {\n  display: grid;\n  grid-template-rows: repeat(5, 1fr);\n}\n\n.col-span-5 {\n  grid-column: span 5;\n}\n\n.row-span-5 {\n  grid-row: span 5;\n}\n\n.grid-col-6 {\n  display: grid;\n  grid-template-columns: repeat(6, 1fr);\n}\n\n.grid-row-6 {\n  display: grid;\n  grid-template-rows: repeat(6, 1fr);\n}\n\n.col-span-6 {\n  grid-column: span 6;\n}\n\n.row-span-6 {\n  grid-row: span 6;\n}\n\n.grid-col-7 {\n  display: grid;\n  grid-template-columns: repeat(7, 1fr);\n}\n\n.grid-row-7 {\n  display: grid;\n  grid-template-rows: repeat(7, 1fr);\n}\n\n.col-span-7 {\n  grid-column: span 7;\n}\n\n.row-span-7 {\n  grid-row: span 7;\n}\n\n.grid-col-8 {\n  display: grid;\n  grid-template-columns: repeat(8, 1fr);\n}\n\n.grid-row-8 {\n  display: grid;\n  grid-template-rows: repeat(8, 1fr);\n}\n\n.col-span-8 {\n  grid-column: span 8;\n}\n\n.row-span-8 {\n  grid-row: span 8;\n}\n\n.grid-col-9 {\n  display: grid;\n  grid-template-columns: repeat(9, 1fr);\n}\n\n.grid-row-9 {\n  display: grid;\n  grid-template-rows: repeat(9, 1fr);\n}\n\n.col-span-9 {\n  grid-column: span 9;\n}\n\n.row-span-9 {\n  grid-row: span 9;\n}\n\n.grid-col-10 {\n  display: grid;\n  grid-template-columns: repeat(10, 1fr);\n}\n\n.grid-row-10 {\n  display: grid;\n  grid-template-rows: repeat(10, 1fr);\n}\n\n.col-span-10 {\n  grid-column: span 10;\n}\n\n.row-span-10 {\n  grid-row: span 10;\n}\n\n.grid-col-11 {\n  display: grid;\n  grid-template-columns: repeat(11, 1fr);\n}\n\n.grid-row-11 {\n  display: grid;\n  grid-template-rows: repeat(11, 1fr);\n}\n\n.col-span-11 {\n  grid-column: span 11;\n}\n\n.row-span-11 {\n  grid-row: span 11;\n}\n\n.grid-col-12 {\n  display: grid;\n  grid-template-columns: repeat(12, 1fr);\n}\n\n.grid-row-12 {\n  display: grid;\n  grid-template-rows: repeat(12, 1fr);\n}\n\n.col-span-12 {\n  grid-column: span 12;\n}\n\n.row-span-12 {\n  grid-row: span 12;\n}\n\n.border {\n  border: 1px solid var(--primary-color);\n  border-radius: var(--border-radius);\n}\n\n.padding-base {\n  padding: var(--padding-base);\n}\n\n.padding-xsm {\n  padding: calc(var(--padding-base) * 0.375);\n}\n\n.padding-sm {\n  padding: calc(var(--padding-base) * 0.5);\n}\n\n.padding-md {\n  padding: calc(var(--padding-base) * 0.75);\n}\n\n.padding-lg {\n  padding: calc(var(--padding-base) * 1.25);\n}\n\n.padding-xl {\n  padding: calc(var(--padding-base) * 1.4);\n}\n\n.padding-xxl {\n  padding: calc(var(--padding-base) * 1.4);\n}\n\n.margin-base {\n  margin: var(--margin-base);\n}\n\n.margin-xsm {\n  margin: calc(var(--margin-base) * 0.375);\n}\n\n.margin-sm {\n  margin: calc(var(--margin-base) * 0.5);\n}\n\n.margin-md {\n  margin: calc(var(--margin-base) * 0.75);\n}\n\n.margin-lg {\n  margin: calc(var(--margin-base) * 1.25);\n}\n\n.margin-xl {\n  margin: calc(var(--margin-base) * 1.4);\n}\n\n.margin-xxl {\n  margin: calc(var(--margin-base) * 1.4);\n}\n\n.h-0rem {\n  height: 0rem;\n}\n\n.h-00rem {\n  height: 00rem;\n}\n\n.h-01rem {\n  height: 01rem;\n}\n\n.h-02rem {\n  height: 02rem;\n}\n\n.h-03rem {\n  height: 03rem;\n}\n\n.h-04rem {\n  height: 04rem;\n}\n\n.h-05rem {\n  height: 05rem;\n}\n\n.h-06rem {\n  height: 06rem;\n}\n\n.h-07rem {\n  height: 07rem;\n}\n\n.h-08rem {\n  height: 08rem;\n}\n\n.h-09rem {\n  height: 09rem;\n}\n\n.h-1rem {\n  height: 1rem;\n}\n\n.h-10rem {\n  height: 10rem;\n}\n\n.h-11rem {\n  height: 11rem;\n}\n\n.h-12rem {\n  height: 12rem;\n}\n\n.h-13rem {\n  height: 13rem;\n}\n\n.h-14rem {\n  height: 14rem;\n}\n\n.h-15rem {\n  height: 15rem;\n}\n\n.h-16rem {\n  height: 16rem;\n}\n\n.h-17rem {\n  height: 17rem;\n}\n\n.h-18rem {\n  height: 18rem;\n}\n\n.h-19rem {\n  height: 19rem;\n}\n\n.h-2rem {\n  height: 2rem;\n}\n\n.h-20rem {\n  height: 20rem;\n}\n\n.h-21rem {\n  height: 21rem;\n}\n\n.h-22rem {\n  height: 22rem;\n}\n\n.h-23rem {\n  height: 23rem;\n}\n\n.h-24rem {\n  height: 24rem;\n}\n\n.h-25rem {\n  height: 25rem;\n}\n\n.h-26rem {\n  height: 26rem;\n}\n\n.h-27rem {\n  height: 27rem;\n}\n\n.h-28rem {\n  height: 28rem;\n}\n\n.h-29rem {\n  height: 29rem;\n}\n\n.h-3rem {\n  height: 3rem;\n}\n\n.h-30rem {\n  height: 30rem;\n}\n\n.h-31rem {\n  height: 31rem;\n}\n\n.h-32rem {\n  height: 32rem;\n}\n\n.h-33rem {\n  height: 33rem;\n}\n\n.h-34rem {\n  height: 34rem;\n}\n\n.h-35rem {\n  height: 35rem;\n}\n\n.h-36rem {\n  height: 36rem;\n}\n\n.h-37rem {\n  height: 37rem;\n}\n\n.h-38rem {\n  height: 38rem;\n}\n\n.h-39rem {\n  height: 39rem;\n}\n\n.h-4rem {\n  height: 4rem;\n}\n\n.h-40rem {\n  height: 40rem;\n}\n\n.h-41rem {\n  height: 41rem;\n}\n\n.h-42rem {\n  height: 42rem;\n}\n\n.h-43rem {\n  height: 43rem;\n}\n\n.h-44rem {\n  height: 44rem;\n}\n\n.h-45rem {\n  height: 45rem;\n}\n\n.h-46rem {\n  height: 46rem;\n}\n\n.h-47rem {\n  height: 47rem;\n}\n\n.h-48rem {\n  height: 48rem;\n}\n\n.h-49rem {\n  height: 49rem;\n}\n\n.h-5rem {\n  height: 5rem;\n}\n\n.h-50rem {\n  height: 50rem;\n}\n\n.h-51rem {\n  height: 51rem;\n}\n\n.h-52rem {\n  height: 52rem;\n}\n\n.h-53rem {\n  height: 53rem;\n}\n\n.h-54rem {\n  height: 54rem;\n}\n\n.h-55rem {\n  height: 55rem;\n}\n\n.h-56rem {\n  height: 56rem;\n}\n\n.h-57rem {\n  height: 57rem;\n}\n\n.h-58rem {\n  height: 58rem;\n}\n\n.h-59rem {\n  height: 59rem;\n}\n\n.h-6rem {\n  height: 6rem;\n}\n\n.h-60rem {\n  height: 60rem;\n}\n\n.h-61rem {\n  height: 61rem;\n}\n\n.h-62rem {\n  height: 62rem;\n}\n\n.h-63rem {\n  height: 63rem;\n}\n\n.h-64rem {\n  height: 64rem;\n}\n\n.h-65rem {\n  height: 65rem;\n}\n\n.h-66rem {\n  height: 66rem;\n}\n\n.h-67rem {\n  height: 67rem;\n}\n\n.h-68rem {\n  height: 68rem;\n}\n\n.h-69rem {\n  height: 69rem;\n}\n\n.h-7rem {\n  height: 7rem;\n}\n\n.h-70rem {\n  height: 70rem;\n}\n\n.h-71rem {\n  height: 71rem;\n}\n\n.h-72rem {\n  height: 72rem;\n}\n\n.h-73rem {\n  height: 73rem;\n}\n\n.h-74rem {\n  height: 74rem;\n}\n\n.h-75rem {\n  height: 75rem;\n}\n\n.h-76rem {\n  height: 76rem;\n}\n\n.h-77rem {\n  height: 77rem;\n}\n\n.h-78rem {\n  height: 78rem;\n}\n\n.h-79rem {\n  height: 79rem;\n}\n\n.h-8rem {\n  height: 8rem;\n}\n\n.h-80rem {\n  height: 80rem;\n}\n\n.h-81rem {\n  height: 81rem;\n}\n\n.h-82rem {\n  height: 82rem;\n}\n\n.h-83rem {\n  height: 83rem;\n}\n\n.h-84rem {\n  height: 84rem;\n}\n\n.h-85rem {\n  height: 85rem;\n}\n\n.h-86rem {\n  height: 86rem;\n}\n\n.h-87rem {\n  height: 87rem;\n}\n\n.h-88rem {\n  height: 88rem;\n}\n\n.h-89rem {\n  height: 89rem;\n}\n\n.h-9rem {\n  height: 9rem;\n}\n\n.h-90rem {\n  height: 90rem;\n}\n\n.h-91rem {\n  height: 91rem;\n}\n\n.h-92rem {\n  height: 92rem;\n}\n\n.h-93rem {\n  height: 93rem;\n}\n\n.h-94rem {\n  height: 94rem;\n}\n\n.h-95rem {\n  height: 95rem;\n}\n\n.h-96rem {\n  height: 96rem;\n}\n\n.h-97rem {\n  height: 97rem;\n}\n\n.h-98rem {\n  height: 98rem;\n}\n\n.h-99rem {\n  height: 99rem;\n}\n\n.w-0rem {\n  height: 0rem;\n}\n\n.w-00rem {\n  height: 00rem;\n}\n\n.w-01rem {\n  height: 01rem;\n}\n\n.w-02rem {\n  height: 02rem;\n}\n\n.w-03rem {\n  height: 03rem;\n}\n\n.w-04rem {\n  height: 04rem;\n}\n\n.w-05rem {\n  height: 05rem;\n}\n\n.w-06rem {\n  height: 06rem;\n}\n\n.w-07rem {\n  height: 07rem;\n}\n\n.w-08rem {\n  height: 08rem;\n}\n\n.w-09rem {\n  height: 09rem;\n}\n\n.w-1rem {\n  height: 1rem;\n}\n\n.w-10rem {\n  height: 10rem;\n}\n\n.w-11rem {\n  height: 11rem;\n}\n\n.w-12rem {\n  height: 12rem;\n}\n\n.w-13rem {\n  height: 13rem;\n}\n\n.w-14rem {\n  height: 14rem;\n}\n\n.w-15rem {\n  height: 15rem;\n}\n\n.w-16rem {\n  height: 16rem;\n}\n\n.w-17rem {\n  height: 17rem;\n}\n\n.w-18rem {\n  height: 18rem;\n}\n\n.w-19rem {\n  height: 19rem;\n}\n\n.w-2rem {\n  height: 2rem;\n}\n\n.w-20rem {\n  height: 20rem;\n}\n\n.w-21rem {\n  height: 21rem;\n}\n\n.w-22rem {\n  height: 22rem;\n}\n\n.w-23rem {\n  height: 23rem;\n}\n\n.w-24rem {\n  height: 24rem;\n}\n\n.w-25rem {\n  height: 25rem;\n}\n\n.w-26rem {\n  height: 26rem;\n}\n\n.w-27rem {\n  height: 27rem;\n}\n\n.w-28rem {\n  height: 28rem;\n}\n\n.w-29rem {\n  height: 29rem;\n}\n\n.w-3rem {\n  height: 3rem;\n}\n\n.w-30rem {\n  height: 30rem;\n}\n\n.w-31rem {\n  height: 31rem;\n}\n\n.w-32rem {\n  height: 32rem;\n}\n\n.w-33rem {\n  height: 33rem;\n}\n\n.w-34rem {\n  height: 34rem;\n}\n\n.w-35rem {\n  height: 35rem;\n}\n\n.w-36rem {\n  height: 36rem;\n}\n\n.w-37rem {\n  height: 37rem;\n}\n\n.w-38rem {\n  height: 38rem;\n}\n\n.w-39rem {\n  height: 39rem;\n}\n\n.w-4rem {\n  height: 4rem;\n}\n\n.w-40rem {\n  height: 40rem;\n}\n\n.w-41rem {\n  height: 41rem;\n}\n\n.w-42rem {\n  height: 42rem;\n}\n\n.w-43rem {\n  height: 43rem;\n}\n\n.w-44rem {\n  height: 44rem;\n}\n\n.w-45rem {\n  height: 45rem;\n}\n\n.w-46rem {\n  height: 46rem;\n}\n\n.w-47rem {\n  height: 47rem;\n}\n\n.w-48rem {\n  height: 48rem;\n}\n\n.w-49rem {\n  height: 49rem;\n}\n\n.w-5rem {\n  height: 5rem;\n}\n\n.w-50rem {\n  height: 50rem;\n}\n\n.w-51rem {\n  height: 51rem;\n}\n\n.w-52rem {\n  height: 52rem;\n}\n\n.w-53rem {\n  height: 53rem;\n}\n\n.w-54rem {\n  height: 54rem;\n}\n\n.w-55rem {\n  height: 55rem;\n}\n\n.w-56rem {\n  height: 56rem;\n}\n\n.w-57rem {\n  height: 57rem;\n}\n\n.w-58rem {\n  height: 58rem;\n}\n\n.w-59rem {\n  height: 59rem;\n}\n\n.w-6rem {\n  height: 6rem;\n}\n\n.w-60rem {\n  height: 60rem;\n}\n\n.w-61rem {\n  height: 61rem;\n}\n\n.w-62rem {\n  height: 62rem;\n}\n\n.w-63rem {\n  height: 63rem;\n}\n\n.w-64rem {\n  height: 64rem;\n}\n\n.w-65rem {\n  height: 65rem;\n}\n\n.w-66rem {\n  height: 66rem;\n}\n\n.w-67rem {\n  height: 67rem;\n}\n\n.w-68rem {\n  height: 68rem;\n}\n\n.w-69rem {\n  height: 69rem;\n}\n\n.w-7rem {\n  height: 7rem;\n}\n\n.w-70rem {\n  height: 70rem;\n}\n\n.w-71rem {\n  height: 71rem;\n}\n\n.w-72rem {\n  height: 72rem;\n}\n\n.w-73rem {\n  height: 73rem;\n}\n\n.w-74rem {\n  height: 74rem;\n}\n\n.w-75rem {\n  height: 75rem;\n}\n\n.w-76rem {\n  height: 76rem;\n}\n\n.w-77rem {\n  height: 77rem;\n}\n\n.w-78rem {\n  height: 78rem;\n}\n\n.w-79rem {\n  height: 79rem;\n}\n\n.w-8rem {\n  height: 8rem;\n}\n\n.w-80rem {\n  height: 80rem;\n}\n\n.w-81rem {\n  height: 81rem;\n}\n\n.w-82rem {\n  height: 82rem;\n}\n\n.w-83rem {\n  height: 83rem;\n}\n\n.w-84rem {\n  height: 84rem;\n}\n\n.w-85rem {\n  height: 85rem;\n}\n\n.w-86rem {\n  height: 86rem;\n}\n\n.w-87rem {\n  height: 87rem;\n}\n\n.w-88rem {\n  height: 88rem;\n}\n\n.w-89rem {\n  height: 89rem;\n}\n\n.w-9rem {\n  height: 9rem;\n}\n\n.w-90rem {\n  height: 90rem;\n}\n\n.w-91rem {\n  height: 91rem;\n}\n\n.w-92rem {\n  height: 92rem;\n}\n\n.w-93rem {\n  height: 93rem;\n}\n\n.w-94rem {\n  height: 94rem;\n}\n\n.w-95rem {\n  height: 95rem;\n}\n\n.w-96rem {\n  height: 96rem;\n}\n\n.w-97rem {\n  height: 97rem;\n}\n\n.w-98rem {\n  height: 98rem;\n}\n\n.w-99rem {\n  height: 99rem;\n}\n\n.container {\n  padding: 2rem;\n}\n.container.page {\n  height: 100%;\n  min-height: 100vh;\n  width: 100%;\n  max-width: 100vw;\n}\n.container.wrapper {\n  height: -webkit-fit-content;\n  height: -moz-fit-content;\n  height: fit-content;\n  width: -webkit-fit-content;\n  width: -moz-fit-content;\n  width: fit-content;\n}\n.container.row {\n  height: -webkit-fit-content;\n  height: -moz-fit-content;\n  height: fit-content;\n  width: 100%;\n}\n.container.column {\n  height: 100%;\n  width: -webkit-fit-content;\n  width: -moz-fit-content;\n  width: fit-content;\n}\n.container.border {\n  border: 1px solid var(--primary-color);\n  border-radius: var(--border-radius);\n}\n\n.row {\n  padding: 1rem;\n  display: flex;\n}\n\n.col {\n  padding: 1rem;\n}";
styleInject(css_248z);

const createComponentClasses = (stylePackage) => {
    let payload = [
        stylePackage.role && stylePackage.role,
        stylePackage.border && "border",
        createStyleClassBySize({
            stylePackage,
            key: "padding",
            buildString: (v) => `padding-${v}`,
        }),
        createStyleClassBySize({
            stylePackage,
            key: "margin",
            buildString: (v) => `margin-${v}`,
        }),
        createStyleClassBySize({
            stylePackage,
            key: "fontSize",
            buildString: (v) => `fontSize-${v}`,
        }),
    ];
    return payload.join(" ");
};
const createStyleClassBySize = ({ stylePackage, key, buildString, }) => {
    const p = stylePackage;
    const sizes = ["xsm", "sm", "md", "lg", "xl", "xxl"];
    if (!p[key]) {
        return "";
    }
    if (!sizes.includes(p[key])) {
        console.log(`Variant ${p[key]} does not exist for ${key}`);
        return "";
    }
    return buildString(p[key]);
};

const createItemClasses = (stylePackage) => {
    const payload = [];
    if (stylePackage.display === "flex") {
        const size = stylePackage.size ? stylePackage.size : 1;
        payload.push(createFlexItemClasses({ size }));
    }
    if (stylePackage.display === "grid") {
        const width = stylePackage.width ? stylePackage.width : 1;
        const height = stylePackage.height ? stylePackage.height : 1;
        payload.push(createGridItemClasses({ height, width }));
    }
    return payload.join(" ");
};
const createFlexItemClasses = ({ size }) => {
    const flexSizes = [1, 2, 3, 4, 5, 6];
    if (!flexSizes.includes(size)) {
        console.log(`Size passed to flex item, ${size}, is invalid`);
        return "";
    }
    return `flex-grow-${size}`;
};
const createGridItemClasses = ({ height, width }) => {
    const gridSizes = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12];
    if (!gridSizes.includes(height)) {
        console.log(`Height passed to grid item, ${height}, is invalid`);
    }
    if (!gridSizes.includes(width)) {
        console.log(`Width passed to grid item, ${width}, is invalid`);
    }
    let h = height ? `row-span-${height}` : `row-span-${1}`;
    let w = width ? `col-span-${width}` : `col-span-${1}`;
    return `${h} ${w}`;
};

const createWrapperClasses = (stylePackage) => {
    const payload = [];
    if (stylePackage.display === "flex") {
        const justify = stylePackage.justify ? stylePackage.justify : "center";
        const align = stylePackage.align ? stylePackage.align : "center";
        payload.push(createStyleByFlex({ stylePackage, justify, align }));
    }
    if (stylePackage.display === "grid") {
        const columns = stylePackage.columns ? stylePackage.columns : 1;
        const rows = stylePackage.rows ? stylePackage.rows : 1;
        payload.push(createStyleByGrid({ stylePackage, columns, rows }));
    }
    return payload.join(" ");
};
const createStyleByFlex = ({ justify, align }) => {
    const flexPlacements = [
        "between",
        "start",
        "end",
        "center",
        "around",
    ];
    if (!flexPlacements.includes(justify)) {
        console.log(`Justify value, ${justify}, for flex container, is not valid`);
    }
    if (!flexPlacements.includes(align)) {
        console.log(`Align value, ${align}, for flex container, is not valid`);
    }
    return `flex-${justify}-${align}`;
};
const createStyleByGrid = ({ columns, rows }) => {
    const gridSizes = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12];
    if (!columns || !gridSizes.includes(columns)) {
        console.log(`Columns value, ${columns}, for flex container, is not valid`);
    }
    if (!rows || !gridSizes.includes(rows)) {
        console.log(`Rows value, ${rows}, for flex container, is not valid`);
    }
    const col = columns ? `grid-col-${columns}` : "";
    const row = rows ? `grid-row-${rows}` : "";
    return `d-grid ${col}  ${row}`;
};

//Creates styles from generic style cartridge
const createStyles = (stylePackage) => {
    let payload = [
        stylePackage.component,
        stylePackage.role ? stylePackage.role : "",
        createComponentClasses(stylePackage),
        createWrapperClasses(stylePackage),
        createItemClasses(stylePackage),
        addClassNames(stylePackage),
    ];
    return [...new Set(payload)].join(" ");
};
const addClassNames = (stylePackage) => {
    const classNames = stylePackage === null || stylePackage === void 0 ? void 0 : stylePackage.className;
    return classNames ? `${classNames}` : "";
};

const Container = (props) => {
    var _a;
    const defaultStyles = Object.assign({ component: "container", role: "wrapper", border: true, gap: 1 }, props.styles);
    const inputStyles = react.useMemo(() => defaultStyles, [defaultStyles]);
    return (jsxRuntime.jsx("div", Object.assign({ className: createStyles(inputStyles) }, { children: (_a = props.children) === null || _a === void 0 ? void 0 : _a.map((child) => {
            return jsxRuntime.jsx(jsxRuntime.Fragment, { children: child.render(child) });
        }) })));
};

const Col = (props) => {
    const stylePackage = Object.assign({ component: "col", size: 1 }, props);
    const styles = createStyles(stylePackage);
    return jsxRuntime.jsx("div", Object.assign({ className: styles }, { children: props.children }));
};

const Row = (props) => {
    const stylePackage = Object.assign({ component: "row", display: "flex", gap: 1 }, props);
    return jsxRuntime.jsx("div", Object.assign({ className: createStyles(stylePackage) }, { children: props.children }));
};

exports.Col = Col;
exports.Container = Container;
exports.Row = Row;
//# sourceMappingURL=index.js.map
